<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Settings Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classSettings-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Settings Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="settings_8h_source.html">settings.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Settings:</div>
<div class="dyncontent">
<div class="center"><img src="classSettings__inherit__graph.png" border="0" usemap="#Settings_inherit__map" alt="Inheritance graph"/></div>
<map name="Settings_inherit__map" id="Settings_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,239,457"/>
<area shape="rect" title=" " alt="" coords="64,5,180,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Settings:</div>
<div class="dyncontent">
<div class="center"><img src="classSettings__coll__graph.png" border="0" usemap="#Settings_coll__map" alt="Collaboration graph"/></div>
<map name="Settings_coll__map" id="Settings_coll__map">
<area shape="rect" title=" " alt="" coords="352,360,585,657"/>
<area shape="rect" href="classMainWindow.html" title=" " alt="" coords="266,764,449,915"/>
<area shape="rect" title=" " alt="" coords="294,176,410,253"/>
<area shape="rect" href="classLobby.html" title=" " alt="" coords="86,1021,250,1172"/>
<area shape="rect" href="classHostGame.html" title=" " alt="" coords="518,1021,728,1172"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="619,132,779,297"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="715,389,931,628"/>
<area shape="rect" title=" " alt="" coords="727,5,802,83"/>
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="45,720,212,959"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2bd0d0e3e33db6d16425288185bd0f47"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a2bd0d0e3e33db6d16425288185bd0f47">Settings</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a2bd0d0e3e33db6d16425288185bd0f47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a65be5921dfc9fddc476e5320541d89"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a4a65be5921dfc9fddc476e5320541d89">~Settings</a> ()</td></tr>
<tr class="separator:a4a65be5921dfc9fddc476e5320541d89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfcc9d11a7582b2ff8913f8a5bb1573e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#adfcc9d11a7582b2ff8913f8a5bb1573e">writeJsonFile</a> ()</td></tr>
<tr class="separator:adfcc9d11a7582b2ff8913f8a5bb1573e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d3a20e1fac2c8405625634c77f7fa66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a8d3a20e1fac2c8405625634c77f7fa66">readJsonFile</a> ()</td></tr>
<tr class="separator:a8d3a20e1fac2c8405625634c77f7fa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5a7561e06ecc317c78a1062359235c0f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a5a7561e06ecc317c78a1062359235c0f">dur_story</a> = 30</td></tr>
<tr class="separator:a5a7561e06ecc317c78a1062359235c0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5053819e8e926d76a07b66031c040e8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#af5053819e8e926d76a07b66031c040e8">dur_card</a> = 30</td></tr>
<tr class="separator:af5053819e8e926d76a07b66031c040e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36e062374739376d8f57d7d1272ffbb0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a36e062374739376d8f57d7d1272ffbb0">dur_voting</a> = 30</td></tr>
<tr class="separator:a36e062374739376d8f57d7d1272ffbb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7dce9b7529fe84751ff9b0981122273"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#ad7dce9b7529fe84751ff9b0981122273">num_of_players</a> = 3</td></tr>
<tr class="separator:ad7dce9b7529fe84751ff9b0981122273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedf017ee354e0c8d03f94ba5d5dfa80a"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aedf017ee354e0c8d03f94ba5d5dfa80a">username</a></td></tr>
<tr class="separator:aedf017ee354e0c8d03f94ba5d5dfa80a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a2fc639bb1b55f5913131706dcef9e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSettingsService.html">SettingsService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#af5a2fc639bb1b55f5913131706dcef9e">settingsService</a></td></tr>
<tr class="separator:af5a2fc639bb1b55f5913131706dcef9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a64235ba40228d91db20ab9cef66bf49e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a64235ba40228d91db20ab9cef66bf49e">on_back_clicked</a> ()</td></tr>
<tr class="separator:a64235ba40228d91db20ab9cef66bf49e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e6229ba4b9f469fd9dd86248a34b235"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a1e6229ba4b9f469fd9dd86248a34b235">on_hsCard_sliderMoved</a> (int position)</td></tr>
<tr class="separator:a1e6229ba4b9f469fd9dd86248a34b235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee3a688f465e8621816826166d81d24e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aee3a688f465e8621816826166d81d24e">on_hsVoting_sliderMoved</a> (int position)</td></tr>
<tr class="separator:aee3a688f465e8621816826166d81d24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa44b3972f9d18e35acb6dee91bf4c56a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aa44b3972f9d18e35acb6dee91bf4c56a">on_sbPlayers_valueChanged</a> (int arg1)</td></tr>
<tr class="separator:aa44b3972f9d18e35acb6dee91bf4c56a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5844349408188335f358598cb287205b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a5844349408188335f358598cb287205b">on_hsStory_sliderMoved</a> (int position)</td></tr>
<tr class="separator:a5844349408188335f358598cb287205b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2caae07ce3af42badec1c1a3e483f940"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a2caae07ce3af42badec1c1a3e483f940">on_save_clicked</a> ()</td></tr>
<tr class="separator:a2caae07ce3af42badec1c1a3e483f940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5de247c961926bbaae60a759c67e9be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#af5de247c961926bbaae60a759c67e9be">on_lnUsername_textChanged</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:af5de247c961926bbaae60a759c67e9be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a98680be421d0ae7c34a57f2a159eacd4"><td class="memItemLeft" align="right" valign="top">Ui::Settings *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a98680be421d0ae7c34a57f2a159eacd4">ui</a></td></tr>
<tr class="separator:a98680be421d0ae7c34a57f2a159eacd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a174ebe9d7b242bc5a0b79f77fa14e3e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classMainWindow.html">MainWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a174ebe9d7b242bc5a0b79f77fa14e3e1">mainWindow</a></td></tr>
<tr class="separator:a174ebe9d7b242bc5a0b79f77fa14e3e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2bd0d0e3e33db6d16425288185bd0f47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bd0d0e3e33db6d16425288185bd0f47">&#9670;&nbsp;</a></span>Settings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Settings::Settings </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a65be5921dfc9fddc476e5320541d89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a65be5921dfc9fddc476e5320541d89">&#9670;&nbsp;</a></span>~Settings()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Settings::~Settings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a64235ba40228d91db20ab9cef66bf49e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64235ba40228d91db20ab9cef66bf49e">&#9670;&nbsp;</a></span>on_back_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_back_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e6229ba4b9f469fd9dd86248a34b235"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e6229ba4b9f469fd9dd86248a34b235">&#9670;&nbsp;</a></span>on_hsCard_sliderMoved</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_hsCard_sliderMoved </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5844349408188335f358598cb287205b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5844349408188335f358598cb287205b">&#9670;&nbsp;</a></span>on_hsStory_sliderMoved</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_hsStory_sliderMoved </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aee3a688f465e8621816826166d81d24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee3a688f465e8621816826166d81d24e">&#9670;&nbsp;</a></span>on_hsVoting_sliderMoved</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_hsVoting_sliderMoved </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af5de247c961926bbaae60a759c67e9be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5de247c961926bbaae60a759c67e9be">&#9670;&nbsp;</a></span>on_lnUsername_textChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_lnUsername_textChanged </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>arg1</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2caae07ce3af42badec1c1a3e483f940"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2caae07ce3af42badec1c1a3e483f940">&#9670;&nbsp;</a></span>on_save_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_save_clicked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa44b3972f9d18e35acb6dee91bf4c56a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa44b3972f9d18e35acb6dee91bf4c56a">&#9670;&nbsp;</a></span>on_sbPlayers_valueChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::on_sbPlayers_valueChanged </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>arg1</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d3a20e1fac2c8405625634c77f7fa66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d3a20e1fac2c8405625634c77f7fa66">&#9670;&nbsp;</a></span>readJsonFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::readJsonFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adfcc9d11a7582b2ff8913f8a5bb1573e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfcc9d11a7582b2ff8913f8a5bb1573e">&#9670;&nbsp;</a></span>writeJsonFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::writeJsonFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af5053819e8e926d76a07b66031c040e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5053819e8e926d76a07b66031c040e8">&#9670;&nbsp;</a></span>dur_card</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Settings::dur_card = 30</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a7561e06ecc317c78a1062359235c0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a7561e06ecc317c78a1062359235c0f">&#9670;&nbsp;</a></span>dur_story</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Settings::dur_story = 30</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36e062374739376d8f57d7d1272ffbb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36e062374739376d8f57d7d1272ffbb0">&#9670;&nbsp;</a></span>dur_voting</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Settings::dur_voting = 30</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a174ebe9d7b242bc5a0b79f77fa14e3e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a174ebe9d7b242bc5a0b79f77fa14e3e1">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classMainWindow.html">MainWindow</a>* Settings::mainWindow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7dce9b7529fe84751ff9b0981122273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7dce9b7529fe84751ff9b0981122273">&#9670;&nbsp;</a></span>num_of_players</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Settings::num_of_players = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5a2fc639bb1b55f5913131706dcef9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5a2fc639bb1b55f5913131706dcef9e">&#9670;&nbsp;</a></span>settingsService</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSettingsService.html">SettingsService</a>&amp; Settings::settingsService</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98680be421d0ae7c34a57f2a159eacd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98680be421d0ae7c34a57f2a159eacd4">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::Settings* Settings::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aedf017ee354e0c8d03f94ba5d5dfa80a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedf017ee354e0c8d03f94ba5d5dfa80a">&#9670;&nbsp;</a></span>username</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::username</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="settings_8h_source.html">settings.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="settings_8cpp.html">settings.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
